Package com.io7m.jregions.core.unparameterized.areas

# Class AreaYSplitD.Builder<T extends AreaDType>

java.lang.Object
com.io7m.jregions.core.unparameterized.areas.AreaYSplitD.Builder<T>

Enclosing class:
  AreaYSplitD<T extends AreaDType>

    public static final class AreaYSplitD.Builder<T extends AreaDType>
    extends java.lang.Object

Builds instances of type `AreaYSplitD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AreaYSplitD<T>` | `build()` | Builds a new `AreaYSplitD`.
  `AreaYSplitD.Builder<T>` | `from​(AreaYSplitDType<T> instance)` | Fill a builder with attribute values from the provided `AreaYSplitDType` instance.
  `AreaYSplitD.Builder<T>` | `setLower​(T lower)` | Initializes the value for the `lower` attribute.
  `AreaYSplitD.Builder<T>` | `setUpper​(T upper)` | Initializes the value for the `upper` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final AreaYSplitD.Builder<T> from​(AreaYSplitDType<T> instance)
    Fill a builder with attribute values from the provided `AreaYSplitDType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setLower

    public final AreaYSplitD.Builder<T> setLower​(T lower)
    Initializes the value for the `lower` attribute.
    Parameters:
      `lower` - The value for lower
    Returns:
      `this` builder for use in a chained invocation

  - ### setUpper

    public final AreaYSplitD.Builder<T> setUpper​(T upper)
    Initializes the value for the `upper` attribute.
    Parameters:
      `upper` - The value for upper
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public AreaYSplitD<T> build()
    Builds a new `AreaYSplitD`.
    Returns:
      An immutable instance of AreaYSplitD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing